% Script file for figure reduction

  wnd=find(gca==subfig); puvsour=[];
  if ~isempty(wnd)
    for i=1:ax
      set(pop(i),'visible','off');
      puvsour=[puvsour get(subfig(i),'position')'];
      if wnd==i
	win=wnd; for pcol=1:S
		   set(Hweight(win,pcol),'visible','off');
		 end
	for vst=1:Q
	  set(HInputText(wnd,vst),'string',classname(class(vst)),'fontsize',12);
	end
      end
      if wnd~=i, set(subfig(i),'visible','off');
		 set(get(subfig(i),'children'),'visible','off')
      end
    end
    for i=1:S
      CX=find(class(:)==i);
      for k=1:size(CX)
	set(txt(i,k),'visible','off')
      end
    end
      set(subfig(wnd),'position',[0.01 0.006 0.47 0.5]);
      subplot(subfig(wnd));title('(b) SIGNAL CLASSIFICATION');
      set(subfig(wnd),'buttondownfcn','cl_expl');

%  Individual windows for separate classes

    for i=1:S
      pos=[0.5+(0.5*(i-1))/S 0.006 0.5/S-0.01 0.5];
      set(ccx(i),'position',pos);
    end
    set(eegseq,'position',[0.01 0.6 0.98 0.3])
  end


