  function [FIG,subfig]=cl_disp(R);

% Axes position definition with respect to the number of input units R
%
% Input variables
%   R - number of input units
% Output variables
%   FIG    - figure name
%   subfig - subfigure handles

  FIG=figure('name','SIGNAL CLASSIFICATION','units','normal',...
	      'position',[0 0.03 1.0 0.55]); 
  window=[0 0;1 1;1 3;2 3;2 5;3 5;3 7]; akt=window(R,:);
  xshift=1/akt(2)/2.1;	yshift=1/akt(1);  xyshift=0.3;  w=1; % xyshift=0.05;
  for i=1:akt(1)
    for j=1:akt(2)
      if w<=(R*(R-1))/2
% 	    pos=[(j-1)*xshift+xyshift/3, (akt(1)-i)*yshift,...
%				   xshift-xyshift/1.5, yshift-xyshift];
 	    pos=[(j-1)*xshift+xyshift/30, (akt(1)-i)*yshift+0.01,...
				   xshift-xyshift/20, yshift-0.31];               
    	subfig(w)=axes('position',pos,'box','on','xtick',[],'ytick',[],'visible','on');
        title('(b) SIGNAL CLASSIFICATION')
    	w=w+1;
      end
    end
  end
